import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.extension.ExtendWith;
import org.mockito.Mock;
import org.mockito.Mockito;
import org.mockito.junit.jupiter.MockitoExtension;

@ExtendWith(MockitoExtension.class)
public class MockitoEmployeeTest {

    @Mock
    Employee employee;

    @BeforeEach
    public void setupMock() {
        Mockito.when(employee.addEmployee("Aaron", "Burr", 30, "8 Main Street", "Apt 5", "New York", "NY", 12345))
                .thenReturn(employee);
    }

    @Test
    public void employeeTest() {
        Assertions.assertEquals(employee, employee.addEmployee("Aaron", "Burr", 30, "8 Main Street", "Apt 5", "New York", "NY", 12345));
    }
}
